gnutls_crypto_rnd_register(3)

NAME
gnutls_crypto_rnd_register - register a random generator

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_crypto_rnd_register(int priority, gnutls_crypto_rnd_st* s);

ARGUMENTS

int priority
    is the priority of the generator

gnutls_crypto_rnd_st* s
    is a structure holding new generator's data

DESCRIPTION
This function will register a random generator to be used by gnutls. Any generator registered will override the included generator and by convention kernel implemented generators have priority of 90. The generator with the lowest priority will be used by gnutls. This function should be called before gnutls_global_init().

RETURNS
GNUTLS_E_SUCCESS on success, otherwise an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.